USB_HCD_UNLINK_URB_F(9)

NAME
usb_hcd_unlink_urb_from_ep - remove an URB from its endpoint queue

SYNOPSIS

void usb_hcd_unlink_urb_from_ep(struct usb_hcd * hcd, struct urb * urb);

ARGUMENTS

hcd
    host controller to which urb was submitted

urb
    URB being unlinked

DESCRIPTION

Host controller drivers should call this routine before calling usb_hcd_giveback_urb. The HCD's private spinlock must be held and interrupts must be disabled. The actions carried out here are required for URB completion.

COPYRIGHT